deprecated

Reorder Init

​

Deprecated since 4.78. Use Reorder, which takes the order UUID in the path and is what the PAR apps call. This endpoint keeps working for existing integrations.

The API endpoint requires authorization token, i.e., only signed in customers can use it.

Headers

  • White Label Application Key

Body

application/json
  • The UUID of the order used for reordering.

Responses

  • application/json
Request Example for post/cart/reorder
curl https://api-public-demo.menu.app/api/cart/reorder \
  --request POST \
  --header 'Application: ' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "order_id": ""
}'
{
  "status": "string",
  "code": 1,
  "data": {
    "cart": {
      "id": "string",
      "products": [
        {
          "is_ingredient": true,
          "is_default_ingredient": true,
          "participant_id": null
        }
      ],
      "discounts": [
        {}
      ],
      "tip": {
        "amount": 1,
        "type": 1
      },
      "fees": [
        {}
      ],
      "summary": {
        "subtotal": 1,
        "total": 1,
        "discount": 1,
        "payment_amount": 1,
        "tax_rates": [
          {}
        ],
        "total_tax": 1,
        "total_fee": 1,
        "tip": 1,
        "loyalty": {
          "points_spent": 1,
          "points_accrued": 1,
          "available_points": 1
        }
      },
      "settings": {
        "prices_includes_tax": true
      },
      "metadata": {
        "group_cart_id": null,
        "group_session": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "status": "string",
          "max_amount_per_participant": null,
          "participant": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "role": "string",
            "status": "string",
            "display_name": "string"
          },
          "modifications_deadline_at": null,
          "expires_at": "2026-11-20T11:41:12.819Z"
        }
      }
    }
  }
}